Index: sasmodels/models/bcc_paracrystal.py
===================================================================
--- sasmodels/models/bcc_paracrystal.py	(revision 0bdddc2288f8fc5bc5e416af84e456e811c3b733)
+++ sasmodels/models/bcc_paracrystal.py	(revision 1511c37c7ea796eff9bd41e33beabb6efce39d91)
@@ -140,26 +140,16 @@
     # useful between 0.01 and 0.7.  Use an exponential distribution
     # in this range 'cuz its easy.
+    radius = 10**np.random.uniform(1.3, 4)
+    d_factor = 10**np.random.uniform(-2, -0.7)  # sigma_d in 0.01-0.7
     dnn_fraction = np.random.beta(a=10, b=1)
+    dnn = radius*4/np.sqrt(3)/dnn_fraction
     pars = dict(
         #sld=1, sld_solvent=0, scale=1, background=1e-32,
-        radius=10**np.random.uniform(1.3, 4),
-        d_factor=10**np.random.uniform(-2, -0.7),  # sigma_d in 0.01-0.7
+        dnn=dnn,
+        d_factor=d_factor,
+        radius=radius,
     )
-    pars['dnn'] = pars['radius']*4/np.sqrt(3)/dnn_fraction
-    #pars['scale'] = 1/(0.68*dnn_fraction**3)  # bcc packing fraction is 0.68
-    pars['scale'] = 1
     return pars
 
-# parameters for demo
-demo = dict(
-    scale=1, background=0,
-    dnn=220, d_factor=0.06, sld=4, sld_solvent=1,
-    radius=40,
-    theta=60, phi=60, psi=60,
-    radius_pd=.2, radius_pd_n=2,
-    theta_pd=15, theta_pd_n=0,
-    phi_pd=15, phi_pd_n=0,
-    psi_pd=15, psi_pd_n=0,
-    )
 # april 6 2017, rkh add unit tests, NOT compared with any other calc method, assume correct!
 # add 2d test later
@@ -168,5 +158,5 @@
     [{ },
      [0.001, q, 0.215268], [1.46601394721, 2.85851284174, 0.00866710287078]],
-    [{'theta':20.0,'phi':30,'psi':40.0},(-0.017,0.035),2082.20264399 ],
-    [{'theta':20.0,'phi':30,'psi':40.0},(-0.081,0.011),0.436323144781 ]
+    [{'theta': 20.0, 'phi': 30, 'psi': 40.0}, (-0.017, 0.035), 2082.20264399],
+    [{'theta': 20.0, 'phi': 30, 'psi': 40.0}, (-0.081, 0.011), 0.436323144781],
     ]
Index: sasmodels/models/core_multi_shell.py
===================================================================
--- sasmodels/models/core_multi_shell.py	(revision a151caa16f645cbb8ff93c008adabc6d6a7f5136)
+++ sasmodels/models/core_multi_shell.py	(revision 1511c37c7ea796eff9bd41e33beabb6efce39d91)
@@ -109,8 +109,6 @@
     thickness = np.random.exponential(size=num_shells+1)
     thickness *= total_radius/np.sum(thickness)
-    volume_fraction = 10**np.random.uniform(-4, -1)
     pars = dict(
         #background=0,
-        scale=volume_fraction/total_radius**3*1e10,
         n=num_shells,
         radius=thickness[0],
Index: sasmodels/models/fcc_paracrystal.py
===================================================================
--- sasmodels/models/fcc_paracrystal.py	(revision 404ebbd7d77c5752ee99a8b39bf8172dd0c0e551)
+++ sasmodels/models/fcc_paracrystal.py	(revision 1511c37c7ea796eff9bd41e33beabb6efce39d91)
@@ -121,32 +121,17 @@
 def random():
     import numpy as np
-    # Define lattice spacing as a multiple of the particle radius
-    # using the formulat a = 4 r/sqrt(3).  Systems which are ordered
-    # are probably mostly filled, so use a distribution which goes from
-    # zero to one, but leaving 90% of them within 80% of the
-    # maximum bcc packing.  Lattice distortion values are empirically
-    # useful between 0.01 and 0.7.  Use an exponential distribution
-    # in this range 'cuz its easy.
+    # copied from bcc_paracrystal
+    radius = 10**np.random.uniform(1.3, 4)
+    d_factor = 10**np.random.uniform(-2, -0.7)  # sigma_d in 0.01-0.7
     dnn_fraction = np.random.beta(a=10, b=1)
+    dnn = radius*4/np.sqrt(3)/dnn_fraction
     pars = dict(
         #sld=1, sld_solvent=0, scale=1, background=1e-32,
-        radius=10**np.random.uniform(1.3, 4),
-        d_factor=10**np.random.uniform(-2, -0.7),  # sigma_d in 0.01-0.7
+        dnn=dnn,
+        d_factor=d_factor,
+        radius=radius,
     )
-    pars['dnn'] = pars['radius']*4/np.sqrt(3)/dnn_fraction
-    #pars['scale'] = 1/(0.68*dnn_fraction**3)  # bcc packing fraction is 0.68
-    pars['scale'] = 1
     return pars
 
-# parameters for demo
-demo = dict(scale=1, background=0,
-            dnn=220, d_factor=0.06, sld=4, sld_solvent=1,
-            radius=40,
-            theta=60, phi=60, psi=60,
-            radius_pd=.2, radius_pd_n=0.2,
-            theta_pd=15, theta_pd_n=0,
-            phi_pd=15, phi_pd_n=0,
-            psi_pd=15, psi_pd_n=0,
-           )
 # april 10 2017, rkh add unit tests, NOT compared with any other calc method, assume correct!
 q =4.*pi/220.
@@ -154,5 +139,5 @@
     [{ },
      [0.001, q, 0.215268], [0.275164706668, 5.7776842567, 0.00958167119232]],
-     [{}, (-0.047,-0.007), 238.103096286],
-     [{}, (0.053,0.063), 0.863609587796 ],
+     [{}, (-0.047, -0.007), 238.103096286 ],
+     [{}, (0.053, 0.063), 0.863609587796 ],
 ]
Index: sasmodels/models/fractal.py
===================================================================
--- sasmodels/models/fractal.py	(revision 404ebbd7d77c5752ee99a8b39bf8172dd0c0e551)
+++ sasmodels/models/fractal.py	(revision 1511c37c7ea796eff9bd41e33beabb6efce39d91)
@@ -111,5 +111,4 @@
     pars = dict(
         #background=0, sld_block=1, sld_solvent=0,
-        scale=1e4/radius**(fractal_dim/2),
         volfraction=volfraction,
         radius=radius,
Index: sasmodels/models/fractal_core_shell.py
===================================================================
--- sasmodels/models/fractal_core_shell.py	(revision 404ebbd7d77c5752ee99a8b39bf8172dd0c0e551)
+++ sasmodels/models/fractal_core_shell.py	(revision 1511c37c7ea796eff9bd41e33beabb6efce39d91)
@@ -113,5 +113,4 @@
     pars = dict(
         #background=0, sld_block=1, sld_solvent=0,
-        scale=1e3/total_radius**(fractal_dim/2),
         volfraction=volfraction,
         radius=radius,
Index: sasmodels/models/lamellar.py
===================================================================
--- sasmodels/models/lamellar.py	(revision 404ebbd7d77c5752ee99a8b39bf8172dd0c0e551)
+++ sasmodels/models/lamellar.py	(revision 1511c37c7ea796eff9bd41e33beabb6efce39d91)
@@ -92,7 +92,5 @@
     import numpy as np
     thickness = 10**np.random.uniform(1, 4)
-    scale = thickness * 10**np.random.uniform(-7, -4)
     pars = dict(
-        scale=scale,
         thickness=thickness,
     )
Index: sasmodels/models/lamellar_hg.py
===================================================================
--- sasmodels/models/lamellar_hg.py	(revision 404ebbd7d77c5752ee99a8b39bf8172dd0c0e551)
+++ sasmodels/models/lamellar_hg.py	(revision 1511c37c7ea796eff9bd41e33beabb6efce39d91)
@@ -103,7 +103,5 @@
     length_head = thickness * np.random.uniform(0, 1)
     length_tail = thickness - length_head
-    scale = thickness * 10**np.random.uniform(-7, -4)
     pars = dict(
-        scale=scale,
         length_head=length_head,
         length_tail=length_tail,
Index: sasmodels/models/lamellar_hg_stack_caille.py
===================================================================
--- sasmodels/models/lamellar_hg_stack_caille.py	(revision 404ebbd7d77c5752ee99a8b39bf8172dd0c0e551)
+++ sasmodels/models/lamellar_hg_stack_caille.py	(revision 1511c37c7ea796eff9bd41e33beabb6efce39d91)
@@ -132,7 +132,5 @@
     length_tail = thickness - length_head
     Caille_parameter = np.random.uniform(0, 0.8)
-    scale = thickness * 10**np.random.uniform(-7, -4)
     pars = dict(
-        scale=1,
         length_head=length_head,
         length_tail=length_tail,
Index: sasmodels/models/lamellar_stack_caille.py
===================================================================
--- sasmodels/models/lamellar_stack_caille.py	(revision 404ebbd7d77c5752ee99a8b39bf8172dd0c0e551)
+++ sasmodels/models/lamellar_stack_caille.py	(revision 1511c37c7ea796eff9bd41e33beabb6efce39d91)
@@ -105,7 +105,5 @@
     thickness = d_spacing * np.random.uniform(0, 1)
     Caille_parameter = np.random.uniform(0, 0.8)
-    scale = thickness * 10**np.random.uniform(-7, -4)
     pars = dict(
-        scale=1,
         thickness=thickness,
         Nlayers=Nlayers,
Index: sasmodels/models/lamellar_stack_paracrystal.py
===================================================================
--- sasmodels/models/lamellar_stack_paracrystal.py	(revision 404ebbd7d77c5752ee99a8b39bf8172dd0c0e551)
+++ sasmodels/models/lamellar_stack_paracrystal.py	(revision 1511c37c7ea796eff9bd41e33beabb6efce39d91)
@@ -142,5 +142,5 @@
     scale = thickness * 10**np.random.uniform(-7, -4)
     pars = dict(
-        scale=1,
+        #scale=1,
         thickness=thickness,
         Nlayers=Nlayers,
Index: sasmodels/models/sc_paracrystal.py
===================================================================
--- sasmodels/models/sc_paracrystal.py	(revision 404ebbd7d77c5752ee99a8b39bf8172dd0c0e551)
+++ sasmodels/models/sc_paracrystal.py	(revision 1511c37c7ea796eff9bd41e33beabb6efce39d91)
@@ -140,31 +140,16 @@
 def random():
     import numpy as np
-    # Define lattice spacing as a multiple of the particle radius
-    # using the formulat a = 4 r/sqrt(3).  Systems which are ordered
-    # are probably mostly filled, so use a distribution which goes from
-    # zero to one, but leaving 90% of them within 80% of the
-    # maximum bcc packing.  Lattice distortion values are empirically
-    # useful between 0.01 and 0.7.  Use an exponential distribution
-    # in this range 'cuz its easy.
+    # copied from bcc_paracrystal
+    radius = 10**np.random.uniform(1.3, 4)
+    d_factor = 10**np.random.uniform(-2, -0.7)  # sigma_d in 0.01-0.7
     dnn_fraction = np.random.beta(a=10, b=1)
+    dnn = radius*4/np.sqrt(3)/dnn_fraction
     pars = dict(
         #sld=1, sld_solvent=0, scale=1, background=1e-32,
-        radius=10**np.random.uniform(1.3, 4),
-        d_factor=10**np.random.uniform(-2, -0.7),  # sigma_d in 0.01-0.7
+        dnn=dnn,
+        d_factor=d_factor,
+        radius=radius,
     )
-    pars['dnn'] = pars['radius']*4/np.sqrt(3)/dnn_fraction
-    #pars['scale'] = 1/(0.68*dnn_fraction**3)  # bcc packing fraction is 0.68
-    pars['scale'] = 1
     return pars
-
-demo = dict(scale=1, background=0,
-            dnn=220.0,
-            d_factor=0.06,
-            radius=40.0,
-            sld=3.0,
-            sld_solvent=6.3,
-            theta=0.0,
-            phi=0.0,
-            psi=0.0)
 
 tests = [
@@ -172,7 +157,7 @@
     [{}, 0.001, 10.3048],
     [{}, 0.215268, 0.00814889],
-    [{}, (0.414467), 0.001313289],
-    [{'theta':10.0,'phi':20,'psi':30.0},(0.045,-0.035),18.0397138402 ],
-    [{'theta':10.0,'phi':20,'psi':30.0},(0.023,0.045),0.0177333171285 ]
+    [{}, 0.414467, 0.001313289],
+    [{'theta': 10.0, 'phi': 20, 'psi': 30.0}, (0.045, -0.035), 18.0397138402],
+    [{'theta': 10.0, 'phi': 20, 'psi': 30.0}, (0.023, 0.045), 0.0177333171285],
     ]
 