Index: src/sas/qtgui/Perspectives/Fitting/GPUOptions.py
===================================================================
--- src/sas/qtgui/Perspectives/Fitting/GPUOptions.py	(revision f629e62f2a3d0e103dc3273e3603f85b36400cac)
+++ src/sas/qtgui/Perspectives/Fitting/GPUOptions.py	(revision 1543f0c992549217b0c16ad382d98c5fa1cd6030)
@@ -7,5 +7,5 @@
 
 import sas.qtgui.Utilities.GuiUtils as GuiUtils
-from PyQt4 import QtGui, QtCore, QtWebKit
+from PyQt5 import QtGui, QtCore, QtWebKit, QtWidgets
 from sas.qtgui.Perspectives.Fitting.UI.GPUOptionsUI import Ui_GPUOptions
 from sas.qtgui.Perspectives.Fitting.UI.GPUTestResultsUI import Ui_GPUTestResults
@@ -18,13 +18,13 @@
 
 try:
-    _encoding = QtGui.QApplication.UnicodeUTF8
+    _encoding = QtWidgets.QApplication.UnicodeUTF8
     def _translate(context, text, disambig):
-        return QtGui.QApplication.translate(context, text, disambig, _encoding)
+        return QtWidgets.QApplication.translate(context, text, disambig, _encoding)
 except AttributeError:
     def _translate(context, text, disambig):
-        return QtGui.QApplication.translate(context, text, disambig)
-
-
-class GPUOptions(QtGui.QDialog, Ui_GPUOptions):
+        return QtWidgets.QApplication.translate(context, text, disambig)
+
+
+class GPUOptions(QtWidgets.QDialog, Ui_GPUOptions):
     """
     OpenCL Dialog to select the desired OpenCL driver
@@ -39,5 +39,4 @@
         self.setupUi(self)
         self.addOpenCLOptions()
-        self.setFixedSize(self.size())
         self.createLinks()
 
@@ -51,5 +50,5 @@
         for title, descr in cl_tuple:
             # Create an item for each openCL option
-            check_box = QtGui.QCheckBox()
+            check_box = QtWidgets.QCheckBox()
             check_box.setObjectName(_fromUtf8(descr))
             check_box.setText(_translate("GPUOptions", descr, None))
@@ -59,7 +58,5 @@
                 check_box.click()
                 self.clicked = True
-        self.openCLCheckBoxGroup.setMinimumWidth(
-            self.optionsLayout.sizeHint().width())
-        self.setMinimumWidth(self.verticalLayout.sizeHint().width())
+        self.openCLCheckBoxGroup.setMinimumWidth(self.optionsLayout.sizeHint().width()+10)
 
     def createLinks(self):
@@ -69,5 +66,5 @@
         self.testButton.clicked.connect(self.testButtonClicked)
         self.helpButton.clicked.connect(self.helpButtonClicked)
-        for item in self.openCLCheckBoxGroup.findChildren(QtGui.QCheckBox):
+        for item in self.openCLCheckBoxGroup.findChildren(QtWidgets.QCheckBox):
             item.clicked.connect(self.checked)
 
@@ -77,5 +74,5 @@
         """
         checked = None
-        for box in self.openCLCheckBoxGroup.findChildren(QtGui.QCheckBox):
+        for box in self.openCLCheckBoxGroup.findChildren(QtWidgets.QCheckBox):
             if box.isChecked() and (str(box.text()) == self.sas_open_cl or (
                     str(box.text()) == "No OpenCL" and self.sas_open_cl == "")):
@@ -103,4 +100,5 @@
         if 'sasmodels.kernelcl' in sys.modules:
             sasmodels.kernelcl.ENV = None
+        from importlib import reload # assumed Python > 3.3
         reload(sasmodels.core)
         return no_opencl_msg
@@ -199,5 +197,5 @@
 
 
-class GPUTestResults(QtGui.QDialog, Ui_GPUTestResults):
+class GPUTestResults(QtWidgets.QDialog, Ui_GPUTestResults):
     """
     OpenCL Dialog to modify the OpenCL options
@@ -207,5 +205,5 @@
         self.setupUi(self)
         self.resultsText.setText(_translate("GPUTestResults", msg, None))
-        self.setFixedSize(self.size())
+        #self.setFixedSize(self.size())
         self.open()
 
Index: src/sas/qtgui/Perspectives/Fitting/UI/GPUOptionsUI.ui
===================================================================
--- src/sas/qtgui/Perspectives/Fitting/UI/GPUOptionsUI.ui	(revision f629e62f2a3d0e103dc3273e3603f85b36400cac)
+++ src/sas/qtgui/Perspectives/Fitting/UI/GPUOptionsUI.ui	(revision 1543f0c992549217b0c16ad382d98c5fa1cd6030)
@@ -7,10 +7,10 @@
     <x>0</x>
     <y>0</y>
-    <width>432</width>
-    <height>241</height>
+    <width>424</width>
+    <height>245</height>
    </rect>
   </property>
   <property name="sizePolicy">
-   <sizepolicy hsizetype="Fixed" vsizetype="Fixed">
+   <sizepolicy hsizetype="MinimumExpanding" vsizetype="MinimumExpanding">
     <horstretch>0</horstretch>
     <verstretch>0</verstretch>
@@ -22,111 +22,140 @@
   <property name="windowIcon">
    <iconset>
-    <normaloff>../../../UI/res/ball.ico</normaloff>../../../UI/res/ball.ico</iconset>
+    <normaloff>../../../../../../../../../../../Users/UI/res/ball.ico</normaloff>../../../../../../../../../../../Users/UI/res/ball.ico</iconset>
   </property>
-  <widget class="QWidget" name="verticalLayoutWidget_2">
-   <property name="geometry">
-    <rect>
-     <x>0</x>
-     <y>0</y>
-     <width>431</width>
-     <height>241</height>
-    </rect>
-   </property>
-   <layout class="QVBoxLayout" name="verticalLayout" stretch="5,1,0">
-    <property name="sizeConstraint">
-     <enum>QLayout::SetMinimumSize</enum>
-    </property>
-    <property name="margin">
-     <number>10</number>
-    </property>
-    <item>
-     <widget class="QGroupBox" name="openCLCheckBoxGroup">
-      <property name="title">
-       <string>Available OpenCL Options</string>
-      </property>
-      <widget class="QWidget" name="verticalLayoutWidget">
-       <property name="geometry">
-        <rect>
-         <x>0</x>
-         <y>10</y>
-         <width>411</width>
-         <height>131</height>
-        </rect>
+  <layout class="QGridLayout" name="gridLayout_2">
+   <item row="0" column="0">
+    <layout class="QGridLayout" name="gridLayout">
+     <item row="0" column="0" colspan="2">
+      <widget class="QGroupBox" name="openCLCheckBoxGroup">
+       <property name="sizePolicy">
+        <sizepolicy hsizetype="MinimumExpanding" vsizetype="MinimumExpanding">
+         <horstretch>0</horstretch>
+         <verstretch>0</verstretch>
+        </sizepolicy>
        </property>
-       <layout class="QVBoxLayout" name="optionsLayout">
-        <property name="sizeConstraint">
-         <enum>QLayout::SetMinimumSize</enum>
+       <property name="minimumSize">
+        <size>
+         <width>300</width>
+         <height>150</height>
+        </size>
+       </property>
+       <property name="title">
+        <string>Available OpenCL Options</string>
+       </property>
+       <widget class="QWidget" name="verticalLayoutWidget">
+        <property name="geometry">
+         <rect>
+          <x>10</x>
+          <y>20</y>
+          <width>391</width>
+          <height>141</height>
+         </rect>
         </property>
-        <property name="bottomMargin">
-         <number>0</number>
-        </property>
-       </layout>
+        <layout class="QVBoxLayout" name="optionsLayout">
+         <property name="sizeConstraint">
+          <enum>QLayout::SetMinimumSize</enum>
+         </property>
+         <property name="bottomMargin">
+          <number>0</number>
+         </property>
+        </layout>
+       </widget>
       </widget>
-     </widget>
-    </item>
-    <item>
-     <widget class="QLabel" name="warningMessage">
-      <property name="sizePolicy">
-       <sizepolicy hsizetype="Minimum" vsizetype="Preferred">
-        <horstretch>0</horstretch>
-        <verstretch>0</verstretch>
-       </sizepolicy>
-      </property>
-      <property name="font">
-       <font>
-        <pointsize>8</pointsize>
-       </font>
-      </property>
-      <property name="text">
-       <string>WARNING: Running tests can take a few minutes!</string>
-      </property>
-      <property name="alignment">
-       <set>Qt::AlignCenter</set>
-      </property>
-     </widget>
-    </item>
-    <item>
-     <layout class="QHBoxLayout" name="horizontalLayout">
-      <property name="sizeConstraint">
-       <enum>QLayout::SetMinimumSize</enum>
-      </property>
-      <item>
-       <widget class="QPushButton" name="okButton">
-        <property name="text">
-         <string>OK</string>
-        </property>
-       </widget>
-      </item>
-      <item>
-       <widget class="QPushButton" name="resetButton">
-        <property name="text">
-         <string>Reset</string>
-        </property>
-       </widget>
-      </item>
-      <item>
-       <widget class="QPushButton" name="testButton">
-        <property name="text">
-         <string>Test</string>
-        </property>
-       </widget>
-      </item>
-      <item>
-       <widget class="QPushButton" name="helpButton">
-        <property name="text">
-         <string>Help</string>
-        </property>
-        <property name="autoDefault">
-         <bool>true</bool>
-        </property>
-       </widget>
-      </item>
-     </layout>
-    </item>
-   </layout>
-  </widget>
+     </item>
+     <item row="2" column="1">
+      <layout class="QHBoxLayout" name="horizontalLayout">
+       <property name="sizeConstraint">
+        <enum>QLayout::SetMinimumSize</enum>
+       </property>
+       <item>
+        <widget class="QPushButton" name="okButton">
+         <property name="text">
+          <string>OK</string>
+         </property>
+        </widget>
+       </item>
+       <item>
+        <widget class="QPushButton" name="resetButton">
+         <property name="text">
+          <string>Reset</string>
+         </property>
+        </widget>
+       </item>
+       <item>
+        <widget class="QPushButton" name="testButton">
+         <property name="text">
+          <string>Test</string>
+         </property>
+        </widget>
+       </item>
+       <item>
+        <widget class="QPushButton" name="helpButton">
+         <property name="text">
+          <string>Help</string>
+         </property>
+         <property name="autoDefault">
+          <bool>true</bool>
+         </property>
+        </widget>
+       </item>
+      </layout>
+     </item>
+     <item row="2" column="0">
+      <spacer name="horizontalSpacer">
+       <property name="orientation">
+        <enum>Qt::Horizontal</enum>
+       </property>
+       <property name="sizeHint" stdset="0">
+        <size>
+         <width>78</width>
+         <height>20</height>
+        </size>
+       </property>
+      </spacer>
+     </item>
+     <item row="1" column="0" colspan="2">
+      <widget class="QLabel" name="warningMessage">
+       <property name="sizePolicy">
+        <sizepolicy hsizetype="Minimum" vsizetype="Preferred">
+         <horstretch>0</horstretch>
+         <verstretch>0</verstretch>
+        </sizepolicy>
+       </property>
+       <property name="font">
+        <font>
+         <pointsize>8</pointsize>
+        </font>
+       </property>
+       <property name="text">
+        <string>WARNING: Running tests can take a few minutes!</string>
+       </property>
+       <property name="alignment">
+        <set>Qt::AlignCenter</set>
+       </property>
+      </widget>
+     </item>
+    </layout>
+   </item>
+  </layout>
  </widget>
  <resources/>
  <connections>
+  <connection>
+   <sender>resetButton</sender>
+   <signal>clicked()</signal>
+   <receiver>GPUOptions</receiver>
+   <slot>reject()</slot>
+   <hints>
+    <hint type="sourcelabel">
+     <x>266</x>
+     <y>183</y>
+    </hint>
+    <hint type="destinationlabel">
+     <x>219</x>
+     <y>88</y>
+    </hint>
+   </hints>
+  </connection>
   <connection>
    <sender>okButton</sender>
@@ -145,20 +174,4 @@
    </hints>
   </connection>
-  <connection>
-   <sender>resetButton</sender>
-   <signal>clicked()</signal>
-   <receiver>GPUOptions</receiver>
-   <slot>reject()</slot>
-   <hints>
-    <hint type="sourcelabel">
-     <x>266</x>
-     <y>183</y>
-    </hint>
-    <hint type="destinationlabel">
-     <x>219</x>
-     <y>88</y>
-    </hint>
-   </hints>
-  </connection>
  </connections>
 </ui>
Index: src/sas/qtgui/Perspectives/Fitting/UI/GPUTestResultsUI.ui
===================================================================
--- src/sas/qtgui/Perspectives/Fitting/UI/GPUTestResultsUI.ui	(revision c31d41e76f6ccb16a40f594da9b7c0568c534436)
+++ src/sas/qtgui/Perspectives/Fitting/UI/GPUTestResultsUI.ui	(revision 1543f0c992549217b0c16ad382d98c5fa1cd6030)
@@ -7,6 +7,6 @@
     <x>0</x>
     <y>0</y>
-    <width>441</width>
-    <height>439</height>
+    <width>487</width>
+    <height>532</height>
    </rect>
   </property>
@@ -18,108 +18,97 @@
     <normaloff>../../../UI/res/ball.ico</normaloff>../../../UI/res/ball.ico</iconset>
   </property>
-  <widget class="QDialogButtonBox" name="okButton">
-   <property name="geometry">
-    <rect>
-     <x>10</x>
-     <y>400</y>
-     <width>411</width>
-     <height>32</height>
-    </rect>
-   </property>
-   <property name="orientation">
-    <enum>Qt::Horizontal</enum>
-   </property>
-   <property name="standardButtons">
-    <set>QDialogButtonBox::Ok</set>
-   </property>
-   <property name="centerButtons">
-    <bool>false</bool>
-   </property>
-  </widget>
-  <widget class="QLabel" name="falingTestsNoOpenCL">
-   <property name="geometry">
-    <rect>
-     <x>20</x>
-     <y>330</y>
-     <width>401</width>
-     <height>31</height>
-    </rect>
-   </property>
-   <property name="text">
-    <string>If tests fail on OpenCL devices, please select the No OpenCL option.</string>
-   </property>
-   <property name="alignment">
-    <set>Qt::AlignLeading|Qt::AlignLeft|Qt::AlignVCenter</set>
-   </property>
-  </widget>
-  <widget class="QLabel" name="howToReportIssues">
-   <property name="geometry">
-    <rect>
-     <x>20</x>
-     <y>360</y>
-     <width>401</width>
-     <height>41</height>
-    </rect>
-   </property>
-   <property name="text">
-    <string>In the case where many tests are failing, please consider sending the above report to help@sasview.org.</string>
-   </property>
-   <property name="alignment">
-    <set>Qt::AlignLeading|Qt::AlignLeft|Qt::AlignTop</set>
-   </property>
-   <property name="wordWrap">
-    <bool>true</bool>
-   </property>
-  </widget>
-  <widget class="QGroupBox" name="TestResultsBox">
-   <property name="geometry">
-    <rect>
-     <x>20</x>
-     <y>10</y>
-     <width>401</width>
-     <height>321</height>
-    </rect>
-   </property>
-   <property name="sizePolicy">
-    <sizepolicy hsizetype="Fixed" vsizetype="Fixed">
-     <horstretch>0</horstretch>
-     <verstretch>0</verstretch>
-    </sizepolicy>
-   </property>
-   <property name="title">
-    <string>OpenCL test results</string>
-   </property>
-   <widget class="QLabel" name="resultsText">
-    <property name="geometry">
-     <rect>
-      <x>10</x>
-      <y>20</y>
-      <width>381</width>
-      <height>291</height>
-     </rect>
-    </property>
-    <property name="sizePolicy">
-     <sizepolicy hsizetype="Fixed" vsizetype="Fixed">
-      <horstretch>0</horstretch>
-      <verstretch>0</verstretch>
-     </sizepolicy>
-    </property>
-    <property name="frameShape">
-     <enum>QFrame::StyledPanel</enum>
-    </property>
-    <property name="frameShadow">
-     <enum>QFrame::Sunken</enum>
-    </property>
-    <property name="text">
-     <string>TextLabel</string>
-    </property>
-    <property name="alignment">
-     <set>Qt::AlignLeading|Qt::AlignLeft|Qt::AlignTop</set>
-    </property>
-    <property name="wordWrap">
-     <bool>true</bool>
-    </property>
-   </widget>
-  </widget>
+  <layout class="QGridLayout" name="gridLayout_3">
+   <item row="0" column="0">
+    <layout class="QGridLayout" name="gridLayout_2">
+     <item row="0" column="0">
+      <widget class="QGroupBox" name="TestResultsBox">
+       <property name="sizePolicy">
+        <sizepolicy hsizetype="MinimumExpanding" vsizetype="MinimumExpanding">
+         <horstretch>0</horstretch>
+         <verstretch>0</verstretch>
+        </sizepolicy>
+       </property>
+       <property name="title">
+        <string>OpenCL test results</string>
+       </property>
+       <layout class="QGridLayout" name="gridLayout">
+        <item row="0" column="0">
+         <widget class="QTextEdit" name="resultsText">
+          <property name="sizePolicy">
+           <sizepolicy hsizetype="MinimumExpanding" vsizetype="MinimumExpanding">
+            <horstretch>0</horstretch>
+            <verstretch>0</verstretch>
+           </sizepolicy>
+          </property>
+          <property name="minimumSize">
+           <size>
+            <width>300</width>
+            <height>300</height>
+           </size>
+          </property>
+          <property name="readOnly">
+           <bool>true</bool>
+          </property>
+         </widget>
+        </item>
+       </layout>
+      </widget>
+     </item>
+     <item row="1" column="0">
+      <widget class="QLabel" name="falingTestsNoOpenCL">
+       <property name="text">
+        <string>If tests fail on OpenCL devices, please select the No OpenCL option.</string>
+       </property>
+       <property name="alignment">
+        <set>Qt::AlignLeading|Qt::AlignLeft|Qt::AlignVCenter</set>
+       </property>
+      </widget>
+     </item>
+     <item row="2" column="0">
+      <widget class="QLabel" name="howToReportIssues">
+       <property name="text">
+        <string>In the case where many tests are failing, please consider sending the above report to help@sasview.org.</string>
+       </property>
+       <property name="alignment">
+        <set>Qt::AlignLeading|Qt::AlignLeft|Qt::AlignTop</set>
+       </property>
+       <property name="wordWrap">
+        <bool>true</bool>
+       </property>
+      </widget>
+     </item>
+     <item row="3" column="0">
+      <layout class="QHBoxLayout" name="horizontalLayout">
+       <item>
+        <spacer name="horizontalSpacer">
+         <property name="orientation">
+          <enum>Qt::Horizontal</enum>
+         </property>
+         <property name="sizeHint" stdset="0">
+          <size>
+           <width>218</width>
+           <height>20</height>
+          </size>
+         </property>
+        </spacer>
+       </item>
+       <item>
+        <widget class="QDialogButtonBox" name="okButton">
+         <property name="orientation">
+          <enum>Qt::Horizontal</enum>
+         </property>
+         <property name="standardButtons">
+          <set>QDialogButtonBox::Ok</set>
+         </property>
+         <property name="centerButtons">
+          <bool>false</bool>
+         </property>
+        </widget>
+       </item>
+      </layout>
+     </item>
+    </layout>
+   </item>
+  </layout>
  </widget>
  <resources/>