Index: guiframe/gui_manager.py
===================================================================
--- guiframe/gui_manager.py	(revision cbb2e40383106b448d193e1fe86bccb125e50d17)
+++ guiframe/gui_manager.py	(revision 2310d69f4bfb6d756945e6d42d495f5c3d34ed0e)
@@ -64,5 +64,9 @@
 
         ## Next available ID for wx gui events 
+        #TODO:  No longer used - remove all calls to this 
         self.next_id = 20000
+
+        # Default locations
+        self._default_save_location = os.getcwd()        
 
         ## Default welcome panel
@@ -199,5 +203,5 @@
                               CenterPane().
                               BestSize(wx.Size(900,800)).
-                              MinSize(wx.Size(900,800)).
+                              MinSize(wx.Size(800,700)).
                               Show())
 
@@ -216,5 +220,5 @@
                                           CenterPane().
                                           BestSize(wx.Size(600,600)).
-                                          MinSize(wx.Size(600,600)).
+                                          MinSize(wx.Size(200,200)).
                                           Hide())
                 
@@ -235,8 +239,8 @@
                                   #Show().
                                   BestSize(wx.Size(400,400)).
-                                  MinSize(wx.Size(100,100)))
-                
-        
-    def get_context_menu(self):
+                                  MinSize(wx.Size(300,200)))
+                
+        
+    def get_context_menu(self, graph=None):
         """
             Get the context menu items made available 
@@ -247,5 +251,5 @@
         for item in self.plugins:
             if hasattr(item, "get_context_menu"):
-                menu_list.extend(item.get_context_menu())
+                menu_list.extend(item.get_context_menu(graph))
             
         return menu_list
@@ -533,5 +537,15 @@
         #TODO: clean this up
         from data_loader import choose_data_file
-        return choose_data_file(self)
+        path = choose_data_file(self, self._default_save_location)
+        if not path==None:
+            try:
+                self._default_save_location = os.path.dirname(path)
+            except:
+                pass
+        return path
+    
+    def load_ascii_1D(self, path):
+        from data_loader import load_ascii_1D
+        return load_ascii_1D(path)
                   
 class DefaultPanel(wx.Panel):
Index: guiframe/local_perspectives/plotting/plotting.py
===================================================================
--- guiframe/local_perspectives/plotting/plotting.py	(revision 278cc25c3642a38a5481c81615d2770b48793bcb)
+++ guiframe/local_perspectives/plotting/plotting.py	(revision 2310d69f4bfb6d756945e6d42d495f5c3d34ed0e)
@@ -118,5 +118,5 @@
         
         slicerpop.AppendSeparator()
-        item_list = self.parent.get_context_menu()
+        item_list = self.parent.get_context_menu(self.graph)
         if not item_list==None:
             for item in item_list:
@@ -131,7 +131,11 @@
         slicerpop.AppendSeparator()
         
+        #id = wx.NewId()
+        #slicerpop.Append(id, '&Toggle Linear/Log scale')
+        #wx.EVT_MENU(self, id, self._onToggleScale)
+
         id = wx.NewId()
-        slicerpop.Append(id, '&Toggle Linear/Log scale')
-        wx.EVT_MENU(self, id, self._onToggleScale)
+        slicerpop.Append(id, '&Change scale')
+        wx.EVT_MENU(self, id, self._onProperties)
 
         pos = event.GetPosition()
Index: guiframe/release_notes.txt
===================================================================
--- guiframe/release_notes.txt	(revision 7afdc14d9128fed0355cda61f1e9df212fc1850b)
+++ guiframe/release_notes.txt	(revision 2310d69f4bfb6d756945e6d42d495f5c3d34ed0e)
@@ -6,7 +6,10 @@
 Documentation to come...
 
-1- Version 0.1.0
+1- Version 0.1.1
 
 	- Release date: 5/28/2008
+
+	- Changes:
+		* the Plugin.get_context_menu(graph) now takes a Graph object
 
 Dependencies:
@@ -31,3 +34,6 @@
 	  for additionally installed plug-ins.
 	- Fix the damned images directory folder...
+	- Allow user to remove a plottable from a graph (from code!)
+	- Allow perspectives to recognize their own plots and add context menu items.
+	- Catch error when trying to show log of negative or zero plots... update status bar.
 	